#!/bin/bash

# arguments_q=(50 100 200)  # List of values for the -q argument
# arguments_k=(2 3 4)  # List of values for the -k argument

# betas=(0.2 0.4 0.6 0.8 1.0) # List of values for the -B argument
betas=(0.5)
arguments_q=(200)  # List of values for the -q argument
arguments_k=(3)  # List of values for the -k argument


for q in "${arguments_q[@]}"; do
  for k in "${arguments_k[@]}"; do
    for b in "${betas[@]}"; do
      bash ./run_one_unit.sh $q $k 'unit' $b
    done
  done
done

# Wait for all background processes to finish
wait
